Developer
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Organization
  • Organization bulk operations
  • Customer
  • Customer bulk operations
  • Product
  • Entitlement
  • Task
Cloud
Customer Service Management / Reference / REST API

Task

Postman Collection
OpenAPI

This resource represents tasks. Use this to manage viewing the status of tasks.

GET

Get task statusExperimental

Returns the status of a given task, including a list of any failures on completion. Permissions required: Administer Jira global permission, or Customer Service Management or Jira Service Management user.

read:task:jira-service-management

Request

Path parameters

taskId

string

Required

Header parameters

X-ExperimentalApi

ExperimentalHeader

Required

Responses

Returns the task.

application/json

TaskStatusResponse
GET/api/v1/tasks/{taskId}
1 2 3 4 5 curl --request GET \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/tasks/{taskId}' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'X-ExperimentalApi: opt-in'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "type": "BULK_CUSTOMER_PROFILE_CREATE_UPDATE", "status": "IN_PROGRESS", "failures": [ { "entity": "CUSTOMER", "entityId": "qm:9edf598a-85d4-4db9-bf2e-7245922b4ea8:0000e9d8-a22e-4220-ac63-412ff9eec053", "operation": "CREATE", "operatedOn": "CUSTOMER_ACCOUNT", "operatedOnIds": [ "Region" ], "error": "Invalid detail field" } ], "createdAt": "2025-01-15T11:12:13Z", "updatedAt": "2025-01-15T11:12:13Z" }

Rate this page: